int cga_peekb(unsigned char far *p);
int cga_pokeb(unsigned char far *p,unsigned char b);
int cga_movmem(unsigned char far *s,unsigned char far *d,int n);
int cga_init(void);
int cga_palette(int bg,int fg);
int cga_write_row(int row,unsigned char far *prow,register unsigned int nbytes);
int cga_clear(void);
int cga_clr_point(unsigned int x,unsigned int y);
int cga_xor_point(unsigned int x,unsigned int y,unsigned int color);
int cga_get_point(unsigned int x,unsigned int y);
int cga_set_point(unsigned int x,unsigned int y,unsigned int color);
int cga_mode(int m);
int ega_init(void);
int ega_select_plane(int plane);
int ega_write_row(int row,unsigned char *prow,register unsigned int nbytes);
int ega_clear(void);
int ega_set_palette(unsigned char reg,unsigned char red,unsigned char green,unsigned char blue);
int ega_clr_point(unsigned int x,unsigned int y);
int ega_xor_point(unsigned int x,unsigned int y,unsigned int color);
int ega_get_point(unsigned int x,unsigned int y);
int ega_set_point(unsigned int x,unsigned int y,unsigned int color);
int ega_mode(int mode);
int herc_set_page(int page);
int herc_clear(void);
int herc_write_row(unsigned int row,char *prow,unsigned int nbytes);
int herc_init(void);
int herc_set_point(unsigned int x,unsigned int y);
int herc_clr_point(unsigned int x,unsigned int y);
int herc_get_point(unsigned int x,unsigned int y);
int herc_xor_point(unsigned int x,unsigned int y);
int herc_mode(int mode);
void pcx_load_palette(PCXPIC *pic);
void pcx_showpic(PCXPIC *pic,int hoffs,int voffs,int load_palette_flg);
int vgr_get_board(void);
int vgr_mode(unsigned char mode);
void vgr_line(int x1,int y1,int x2,int y2,int color);
void vgr_rectangle(int x1,int y1,int x2,int y2,int color);
void vgr_point(int x2,int y2,int color);
void vgr_fill(int x,int y,int color);
int pcx_init(void);
int pcx_select_plane(int plane);
int pcx_write_row(int row,char *prow,int nbytes);
int pcx_clear(void);
int pcx_mode(int m);
int pcx_xor_point(int x,int y,int color);
int pcx_clr_point(int x,int y);
int pcx_set_point(int x,int y,int color);
int pcx_get_point(int x,int y);
int pcx_set_palette(unsigned char reg,unsigned char red,unsigned char green,unsigned char blue);
PCXPIC *pcx_init_pic(unsigned int hres,unsigned int vres,unsigned int nplanes);
int pcx_free_pic(PCXPIC *pic);
void map_not(register unsigned int *map,register unsigned int len);
void pcx_invert_pic(PCXPIC *pic);
int allocf(char *p);
int pcx_getc(unsigned int *c,unsigned int *n,FILE *fp,unsigned int maxn);
int pcx_xputc(int c,FILE *fp);
int pcx_putc(unsigned int c,unsigned int n,FILE *fp);
int pcx_read_pic(PCXPIC *pic,FILE *fp);
int pcx_write_pic(PCXPIC *pic,FILE *fp);
